Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1474010

Summary: Grip does not write ID3-tag
Product: [Fedora] Fedora Reporter: Steve <bugzilla>
Component: gripAssignee: Adrian Reber <adrian>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: adrian
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: grip-3.4.3-2.fc26 grip-3.4.3-2.fc24 grip-3.4.3-2.fc25 grip-3.4.3-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-01 16:23:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Steve 2017-07-23 05:46:16 UTC
Description of problem:
Grip does not write ID3-tag to flac files while encoding (i have not testet mp3)

Version-Release number of selected component (if applicable):
grip-3.4.3-1.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Rip a Audio-CD with grip
2. Open with easytag
3. No ID3-tag is added

Actual results:
Grip does not write ID3-tag

Expected results:
Grip should write the ID3-tag

Additional info:

Comment 1 Adrian Reber 2017-07-24 07:34:18 UTC
Thanks for reporting. I also already stumbled over missing ID3 tags in flac files but did not look further into it. The new grip code base had actually a patch which disabled tagging anything besides mp3/MP3. I reverted the patch and contacted upstream about it.

Comment 2 Fedora Update System 2017-07-24 08:03:25 UTC
grip-3.4.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f69f94514

Comment 3 Fedora Update System 2017-07-25 00:50:24 UTC
grip-3.4.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bce09f3520

Comment 4 Fedora Update System 2017-07-25 01:52:41 UTC
grip-3.4.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc2fad9171

Comment 5 Fedora Update System 2017-07-25 02:21:45 UTC
grip-3.4.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-559694d472

Comment 6 Fedora Update System 2017-07-25 04:24:53 UTC
grip-3.4.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f69f94514

Comment 7 Fedora Update System 2017-08-01 16:23:39 UTC
grip-3.4.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-08-01 19:19:18 UTC
grip-3.4.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-08-01 21:55:15 UTC
grip-3.4.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-08-09 15:23:26 UTC
grip-3.4.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.